unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons, lNetComponents;

 const
   my_port = 31337;
   my_host = '127.0.0.1';
type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    TCP: TLTCPComponent;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure TCPReceive(aSocket: TLSocket);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
   blubb: String;
   good : boolean;
begin
  blubb := '';
  try
    good:= TCP.Connect(my_host,my_port);
    if good then begin
      Memo1.Lines.Add('Client connected to: (host = ' + my_host + '; port = ' + IntToStr(my_port));
  except
    Memo1.Lines.Add('Client not connected to: (host = ' + my_host + '; port = ' + IntToStr(my_port));
  end;
end;

procedure TForm1.TCPReceive(aSocket: TLSocket);
var
   msg, temp : String;
   i: Integer;
   sock: TLSocket;
begin
   TCP.GetMessage(temp);
   msg := TCP.Socks[aSocket.SocketType].PeerAddress +': ' + temp;
   Memo1.Lines.Add(msg);
end;

initialization
  {$I main.lrs}

end.

